WordPress.org

Forums

Cannot modify headers in pluggable.php has me locked out of site (5 posts)

  1. djhomick
    Member
    Posted 3 years ago #

    Help! I tried changing a line of code to allow editor access to a plugin (horizontal scrolling announcement). That gave me a bunch of errors, so I changed it back, but I still get the following error when I try login to the site:

    Warning: Cannot modify header information – headers already sent by (output started at /home/unionspr/public_html/wp/wp-content/plugins/horizontal-scrolling-announcement/horizontal-scrolling-announcement.php:715) in /home/unionspr/public_html/wp/wp-includes/pluggable.php on line 897

    I am locked out of the site. Can anyone offer some assistance?

    Thank you.

  2. esmi
    Forum Moderator
    Posted 3 years ago #

    FTP into your site (or use whatever file management application your host provides) and delete the wp-content/plugins/horizontal-scrolling-announcement folder.

  3. djhomick
    Member
    Posted 3 years ago #

    Thank you SO much. That was pretty easy. I guess I bashed my head against the wall for nothing, huh?

  4. esmi
    Forum Moderator
    Posted 3 years ago #

    No problem. It can be pretty scary when it first happens but, if you learn to read the error messages and get to know a few tricks, you can usually get back into your site pretty quickly. :-)

  5. smezzell
    Member
    Posted 3 years ago #

    Here is the message I'm getting. Much like the previous. Hesitant to delete the file it's pointing to. Any suggestions. Thanks.

    Warning: Cannot modify header information - headers already sent by (output started at /home/thatwin7/public_html/wp-content/themes/thesis_182/custom/custom_functions.php:1) in /home/thatwin7/public_html/wp-includes/pluggable.php on line 866

Topic Closed

This topic has been closed to new replies.

About this Topic